<?php

require "semikv.php";

$filename = "example.txt";
$dataArr = file($filename);

/* parameter is array of lines */
$semi = new SemiKV($dataArr);

/* return a format version. 0 if format is not recognized.
version N is defined by presence of version=N; after semikv_start; */
if ($ver = $semi->getVersion())
	print "YES it is semikv version $ver\n";

/* use optional format name 'rpydump',
requires presence of token format=rpydump; after semikv_start; */
//if ($ver = $semi->getVersion("rpydump"))
//	print "YES it is semikv format 'rpydump' version $ver\n";

/* parse can have an optional format name parameter too */
$results = $semi->parse();
if (!$results)
{
	print "bad or unknown format\n";
	exit;
}

//print_r($results);

$winner = "";
foreach ($results as $tabName => $table)
{
	print "Printing table $tabName\n";
	foreach ($table as $row)
	{
		foreach ($row as $key => $value)
			print "    $key : $value\n";
		print "\n";
		if ($tabName=="Race Results" && $row["pos"]=="1")
			$winner = $row["drivername"];
	}
}

print "Winner is: $winner\n";
